Distributed Virtual Switch Manager Query Dvs By Uuid

Distributed Virtual Switch Manager Query Dvs By Uuid
This operation returns a DistributedVirtualSwitch given a UUID.

This operation returns a DistributedVirtualSwitch given a UUID.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/QueryDvsByUuid
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DistributedVirtualSwitchManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryDvsByUuidRequestType of type(s) application/json
Required
{
    "uuid": "string"
}
string
uuid
Required

uuid

Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

NotFound: If a switch with the UUID doesn't exist.

Returns NotFound of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"uuid":"string"}' https://{api_host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/QueryDvsByUuid